Name:        roboto-mono-nerd-fonts
Version:     3.4.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     Apache-2.0
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/RobotoMono.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 RobotoMonoNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFont-BoldItalic.ttf
install -Dm644 RobotoMonoNerdFontMono-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFontMono-BoldItalic.ttf
install -Dm644 RobotoMonoNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFontPropo-BoldItalic.ttf
install -Dm644 RobotoMonoNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFont-Bold.ttf
install -Dm644 RobotoMonoNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFontMono-Bold.ttf
install -Dm644 RobotoMonoNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFontPropo-Bold.ttf
install -Dm644 RobotoMonoNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFont-Italic.ttf
install -Dm644 RobotoMonoNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFontMono-Italic.ttf
install -Dm644 RobotoMonoNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFontPropo-Italic.ttf
install -Dm644 RobotoMonoNerdFont-LightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFont-LightItalic.ttf
install -Dm644 RobotoMonoNerdFontMono-LightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFontMono-LightItalic.ttf
install -Dm644 RobotoMonoNerdFontPropo-LightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFontPropo-LightItalic.ttf
install -Dm644 RobotoMonoNerdFont-Light.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFont-Light.ttf
install -Dm644 RobotoMonoNerdFontMono-Light.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFontMono-Light.ttf
install -Dm644 RobotoMonoNerdFontPropo-Light.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFontPropo-Light.ttf
install -Dm644 RobotoMonoNerdFont-MediumItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFont-MediumItalic.ttf
install -Dm644 RobotoMonoNerdFontMono-MediumItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFontMono-MediumItalic.ttf
install -Dm644 RobotoMonoNerdFontPropo-MediumItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFontPropo-MediumItalic.ttf
install -Dm644 RobotoMonoNerdFont-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFont-Medium.ttf
install -Dm644 RobotoMonoNerdFontMono-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFontMono-Medium.ttf
install -Dm644 RobotoMonoNerdFontPropo-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFontPropo-Medium.ttf
install -Dm644 RobotoMonoNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFont-Regular.ttf
install -Dm644 RobotoMonoNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFontMono-Regular.ttf
install -Dm644 RobotoMonoNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFontPropo-Regular.ttf
install -Dm644 RobotoMonoNerdFont-SemiBoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFont-SemiBoldItalic.ttf
install -Dm644 RobotoMonoNerdFontMono-SemiBoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFontMono-SemiBoldItalic.ttf
install -Dm644 RobotoMonoNerdFontPropo-SemiBoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFontPropo-SemiBoldItalic.ttf
install -Dm644 RobotoMonoNerdFont-SemiBold.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFont-SemiBold.ttf
install -Dm644 RobotoMonoNerdFontMono-SemiBold.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFontMono-SemiBold.ttf
install -Dm644 RobotoMonoNerdFontPropo-SemiBold.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFontPropo-SemiBold.ttf
install -Dm644 RobotoMonoNerdFont-ThinItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFont-ThinItalic.ttf
install -Dm644 RobotoMonoNerdFontMono-ThinItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFontMono-ThinItalic.ttf
install -Dm644 RobotoMonoNerdFontPropo-ThinItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFontPropo-ThinItalic.ttf
install -Dm644 RobotoMonoNerdFont-Thin.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFont-Thin.ttf
install -Dm644 RobotoMonoNerdFontMono-Thin.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFontMono-Thin.ttf
install -Dm644 RobotoMonoNerdFontPropo-Thin.ttf %{buildroot}%{_datadir}/fonts/%{name}/RobotoMonoNerdFontPropo-Thin.ttf

%files

%{_datadir}/fonts/%{name}/RobotoMonoNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFontMono-BoldItalic.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFont-LightItalic.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFontMono-LightItalic.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFontPropo-LightItalic.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFont-Light.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFontMono-Light.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFontPropo-Light.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFont-MediumItalic.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFontMono-MediumItalic.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFontPropo-MediumItalic.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFont-Medium.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFontMono-Medium.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFontPropo-Medium.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFontPropo-Regular.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFont-SemiBoldItalic.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFontMono-SemiBoldItalic.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFontPropo-SemiBoldItalic.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFont-SemiBold.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFontMono-SemiBold.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFontPropo-SemiBold.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFont-ThinItalic.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFontMono-ThinItalic.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFontPropo-ThinItalic.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFont-Thin.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFontMono-Thin.ttf
%{_datadir}/fonts/%{name}/RobotoMonoNerdFontPropo-Thin.ttf
%license "LICENSE.txt"
%doc "README.md"

%changelog
* Sat May 10 2025 Kyle Bloom <kylejbloom@gmail.com> - 3.4.0-1
- Updated to version v3.4.0

* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
